<ion-header>

  <ion-navbar>
    <ion-title>Create Account</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <form [formGroup]="signupData">
    <ion-list>
      <ion-item>
        <ion-label floating>First name</ion-label>
        <ion-input class="email" type="text" formControlName="first_name"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Last name</ion-label>
        <ion-input class="email" type="text" formControlName="last_name"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Username</ion-label>
        <ion-input class="email" type="text" formControlName="username"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Email</ion-label>
        <ion-input class="email" type="email" formControlName="email"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label floating>Password</ion-label>
        <ion-input class="email" type="password" formControlName="password"></ion-input>
      </ion-item>
      <button ion-button block [disabled]="!signupData.valid" (click)="signup()" class="loginBtn">Create Account</button>
    </ion-list>
  </form>
</ion-content>
